
//-----------------------------------------------------------------------  
// script load_me.sci
//
// A File for loading/executing all the updated routines at once
//
// loading functions
//
//-----------------------------------------------------------------------  
//   $RCSfile: loader.sce,v $
//  $Revision: 1.2 $
//      $Date: 2003/10/16 15:05:33 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------

write(%io(2),'  loading presto-box demos & libraries...');

stacksize(10^7); 

//global DATA DEMOS DIR_PATH

sub_dir = ['basic';'classification';'demos'; 'features'; ...
	   'misc';'visualization'];

[units,typ,files,mod,swap] = file();
files = ''''+ strcat(files,'''') +'''';
quotes = strindex(files,'''');
dir = strindex(files,'loader.sce''');
ind = 1+quotes(find(quotes==dir(1)+10)-1);
DIR = part(files,[ind(1):dir(1)-1]);
DIR_PATH =pwd();

if DIR ~='',  
  old_dir = pwd();
  chdir(DIR);  
  DIR_PATH =pwd();  
  chdir(old_dir);
end

//write(%io(2),'  loading presto-box demos & libraries...');

if MSDOS,  
  DIR_PATH = DIR_PATH+'\';
  DATA = DIR_PATH+'data\';
  DEMOS = DIR_PATH+'macros\demos\';
  execstr(sub_dir+'_lib = lib('''+DIR_PATH+'macros\'+sub_dir+'\'')');
else  
  DIR_PATH = DIR_PATH+'/';
  DATA = DIR_PATH+'data/';
  DEMOS = DIR_PATH+'macros/demos/';
  execstr(sub_dir+'_lib = lib('''+DIR_PATH+'macros/'+sub_dir+'/'')');
end;



clear DIR dir files ind mod old old_dir quotes ...
    sub_dir swap typ units 
clear new_help presto_demos

// $$$ clear DATA DEMOS DIR_PATH
//s=startup; er=ierr;
//clear ans startup ierr
//predef('10');

presto_demos = ['Presto-Box: Pattern Recognition Demos', DEMOS+'presto_box_demos.dem'];
if demolist(1,:) ~= presto_demos,
  demolist=[presto_demos; demolist];
end

new_help =[DIR_PATH+'man','Presto-Box Functions'];
if %helps(1,:) ~= new_help,
  %helps = [new_help; %helps];
end

//startup=3; ierr=0;
//n=who('get')
//disp(n)


