function res = QT(x)
//-----------------------------------------------------------------------  
// function res = QT(x)
//
// perform QT-Transformation which is CT with functions 
// pairwise addition and squared difference.
//
// input:    x           vector/ matrix: each column will be processed
//                       by the QT. 
//
// output:   res         vector/ matrix of the columnwise results of 
//                       the transformation of x. 
//
//-----------------------------------------------------------------------  
//   $RCSfile: QT.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: QT.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//  Revision 1.1  2002/05/06 16:43:57  haasdonk
//  inserted files from lecture WS0102 / SS02
//
//-----------------------------------------------------------------------

  res = CT(pw_add,pw_diffsquare,x);
  
endfunction;







