function res = repmat(mat,n,m)

//-----------------------------------------------------------------------  
// function res = repmat(mat,n,m)
//
// it is used to make a large matrix of n*m blocks consisting of "mat"
//
// input:    mat       	  a x*y matrix
//          
//           n	          length in y-direction of the resultant matrix
//           m	          length in x-direction of the resultant matrix
//  
// output:   res          a large matrix of n*m blocks consisting of "mat"
//
//-----------------------------------------------------------------------  
//   $RCSfile: repmat.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: 
//-----------------------------------------------------------------------

  
  [out, in] = argn(0);
  if in ~=3,
    error('wrong number of input arguments.');
  end;
  
  res = ones(n,m).*. mat;

endfunction








