.TH pw_diffsquare  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
pw_diffsquare - elementwise square of difference.

.SH CALLING SEQUENCE
.nf
res = pw_diffsquare(x, y)
.fi

.SH PARAMETERS
.TP 10
x     :      
first vector/ matrix for computation
.TP 10
y     :      
second vector/ matrix for computation, same size as x
.TP 10
res   :      
elementwise square of difference same size as x,y

.SH DESCRIPTION
\fVpw_diffsquare\fR dummy function needed for CT-transformation 
performing elementwise square of difference.

.SH EXAMPLE 
.nf 
x = [3:6; 5:8]; 
y = [1:4; 3:6];
res = pw_diffsquare(x, y);  
.fi

.SH SEE ALSO
pw_absdiff, pw_add, pw_max, pw_min

.SH AUTHOR
Bernard Haasdonk

