function demo_visclass(lock)
//-----------------------------------------------------------------------  
// function demo_visclass(lock)
//
//  a demonstration(with examples) of visclass(). 
//  used internally in patrec_demos(), or Demos button
//   
// input:    none
//
// output:   none
//
//-----------------------------------------------------------------------  
//   $RCSfile: demo_visclass.sci,v $
//  $Revision: 1.1 $
//      $Date: 2003/10/16 12:16:46 $
//  Copyright: IIF-LMB $Author: haasdonk $
//
//-----------------------------------------------------------------------
//  $Log: demo_visclass.sci,v $
//  Revision 1.1  2003/10/16 12:16:46  haasdonk
//  initial version after release of presto-box 1.0, after rename of old
//  repository patrec-lib
//
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//-----------------------------------------------------------------------
 
  
  mode(-1)
  oldln=lines();
  lines(0)    
  
  visclass_list1=[
      'visclass(''gui'',''classifier'',dumb_class_2d)';
      'bayes-classifier with ''3d'' data only';
      'bayes-classifier with ''2d'' & plot_points';
      'visclass(''gui'',''classifier'',nneigh_class)';
      'visclass(''gui'',''classifier'',polynom_class,2)';
      'visclass(''gui'',''classifier'',polynom_class,4)'
		 ];

  str= 'visclass(''gui'',''patrec_demos'',''classifier'',';  
  visclass_list2=str+['dumb_class_2d)';
		      'bayes_class) ->1';
		      'bayes_class) ->2';
		      'nneigh_class)';
		      'polynom_class,2)';
		      'polynom_class,4)'
		     ];  
  
  global patrec_demos_lock;
  global visclass_demos_lock; 
  visclass_demos_lock = lock;
  
  while %t then
   
    if visclass_demos_lock ==0,
      num=x_choose(visclass_list1(:,1),'Visclass-GUI');
      
      if num==0 then 
	lines(oldln(1))
	clearglobal  visclass_demos_lock;
	patrec_demos_lock = 0;
	patrec_demos_lock = return(patrec_demos_lock);
      else
	visclass_demos_lock=1;
	if num==2,
	  x_message(['visclass(''gui'', ''origin'', [-3 -2 -1],...';
		  '''classifier'', bayes_class, 0.5, [1,0,0],...';
		  'eye(3,3), 0.5, [0,2,0], 2*eye(3,3));']);
	  mprintf('\n'+ 'visclass(''gui'', ''origin'', [-3 -2 -1],'+...
		  '''classifier'', bayes_class, 0.5, [1,0,0],'+...
		  'eye(3,3), 0.5, [0,2,0], 2*eye(3,3));' +'\n');
	  visclass('gui','origin',[-3 -2 -1],'patrec_demos','classifier', ...
		   bayes_class,0.5, [1,0,0], eye(3,3), 0.5, [0,2,0], ...
		   2*eye(3,3));
	else 
	  if num==3,
	    x_message(['visclass(''gui'',''2d'',''plot_points'',...';
		       '[-2 2 2 -2; -2 -2 2 2 ],[1 2 2 1],''classifier'',...';
		       'bayes_class); '])
	    mprintf('\n'+'visclass(''gui'',''2d'',''plot_points'','+...
		    '[-2 2 2 -2; -2 -2 2 2 ],[1 2 2 1],''classifier'','+...
		    'bayes_class); ' +'\n');
	    visclass('gui','2d','plot_points',[-2 2 2 -2; -2 -2 2 2 ],...
		      [1 2 2 1],'patrec_demos','classifier', bayes_class);
	  else
	    mprintf('\n'+visclass_list1(num)+'\n');
	    execstr(visclass_list2(num));
	    return(demo_visclass(1));
	  end;
	end;
      end;
    end;
  end;
endfunction
