.TH QT_DI  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME
QT_DI - 2d-translation-invariant CT_DI-transformation using + and squared-difference

.SH CALLING SEQUENCE
.nf
res = QT_DI(x)
.fi

.SH PARAMETERS
.TP 10
x    :      
a matrix to be processed by the QT_DI.
.TP 10
res  :       
matrix of the results of the QT_DI transformation of x.

.SH DESCRIPTION
\fVQT_DI\fR (is a matrix transformation) performs CT_DI transformation using 
the commutative functions pairwise-addition and squared-difference on the 
given matrix x, i.e. first w_DI transformation then QT_ZS transformation.

.SH EXAMPLE 
.nf 
x = [1 2; 3 4];
res = QT_DI(x);  
.fi

.SH SEE ALSO
CT, CT_DI, CT_SZ, CT_ZS, MT, MT_DI, MT_SZ, MT_ZS, 
QT, QT_SZ, QT_ZS, RT, RT_DI, RT_SZ, RT_ZS

.SH AUTHOR
Bernard Haasdonk

