.TH polarea  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
polarea - area of a real polygon 

.SH CALLING SEQUENCE
.nf
res = polarea(p)
.fi

.SH PARAMETERS
.TP 10
p    :      
a 2*n real matrix representing the polygon for which the area is 
to be calculated.

.TP 10
res  :      
area of the input polygon

.SH DESCRIPTION
\fVpolarea\fR calculates the area of the polygon represented by a 2*n real valued matrix.

.SH EXAMPLE 
.nf 
p = polstar(5,4,3);
res = polarea(p);  
.fi

.SH SEE ALSO
polboundary, polcog, pollinecog, polstar, plotpol

.SH AUTHOR
Bhaskara Reddy Poluru
 
