.TH polclass_demo  "July 2002" "Presto Group" "scilab function"
.so ../sci.an
 
.SH NAME 
polclass_demo - a GUI for interactive polygon classification

.SH CALLING SEQUENCE
.nf
polclass_demo([["setpoly", pol]...] [, "high_index", hfc] [, "low_index", lfc] [, "pfeatures"])
.fi

.SH PARAMETERS
.TP 18
"setpoly"     :      
optional string parameter, for setting a reference polygon to compare 
with the 
polygon to be classified. A 2*n matrix "pol" should follow this argument. 
the set of 
these two can be repeated any number of times. default values are given by a 
list of polygons representing the letters E, F, L, T. 
.TP 18
"high_index"  :      
optional string parameter for setting the highest index of high frequency 
Fourier-coefficients This argument should be followed by an integer "hfc".
.TP 18
"low_index"   :      
optional string parameter, for setting the highest index of  
Fourier-coefficients to be regarded as "low-frequency Fc". This argument 
should be followed by an integer lfc.
.TP 18
"pfeatures"   :      
optional string parameter, if the user wants to print the feature vectors
  to  the scilab window.


.SH DESCRIPTION
\fVpolclass_demo\fR takes the polygons given by the user with the argument 
"setpoly", otherwise the default values E, F, L, T. Then it displays a GUI 
showing the features to be selected and a "new polygon" and "classify polygon" 
button. First the user has to click "new polygon" button for drawing a polygon 
interactively. then he has to make sure that at least one feature is selected 
in the list, then has to click the "classify polygon" button to see the 
classification of the input polygon. more detailed information is available in 
the help button in the GUI object of this demo. The demo is also available 
in the patrec_demos list or by choosing the Presto-Box demos after 
pressing the "Demos" button in the scilab toolbar. 

.SH EXAMPLE 
.nf 
polclass_demo();
.fi

.SH SEE ALSO
patrec_demos, polstar_demo, Fc_demo

.SH AUTHOR
Bhaskara Reddy Poluru

